#ifndef StatistikKlasse_H
#define StatistikKlasse_H

class StatistikV
{
private:

public:
	virtual ~StatistikV()
	{
	}
	// nicht constant
	virtual void klientOffline( int accountId ) = 0;
	virtual void statistikAnfrage( int accountId, short len, char *bytes ) = 0;
	virtual void run() = 0;
	// constant

	// Reference Counting
	virtual StatistikV *getThis() = 0;
	virtual StatistikV *release() = 0;
};

#endif